Runtime

## org.eclipse.gmf.runtime.common.ui.services.util
Class ActivityFilterProviderDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
              org.eclipse.gmf.runtime.common.ui.services.util.ActivityFilterProviderDescriptor

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener

Direct Known Subclasses:
  ContributionItemService.ProviderDescriptor, ModelingAssistantService.ProviderDescriptor, PaletteService.ProviderDescriptor

public class ActivityFilterProviderDescriptor
extends Service.ProviderDescriptor

A provider descriptor that will ignore providers that are contributed by a plug-in that is matched to a disabled activity/capability.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`A_CLASS, A_PLUGIN, E_POLICY, policy, policyInitialized, provider`

Constructor Summary
`ActivityFilterProviderDescriptor(IConfigurationElement element)` Creates a new instance.

Method Summary
`boolean` `provides(IOperation operation)` Returns true if and only if any matching activites are enabled.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`getElement, getPolicy, getProvider, providerChanged, toString`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### ActivityFilterProviderDescriptor

    public ActivityFilterProviderDescriptor(IConfigurationElement element)

  Creates a new instance.

Parameters:
  `element` -

Method Detail

### provides

    public boolean provides(IOperation operation)

  Returns true if and only if any matching activites are enabled.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `Service.ProviderDescriptor`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this descriptor's policy or provider provides the operation; `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.